* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Lato, sans-serif;
}
:root {
    --bg-color: #fff;
    --text-color: #191919;
    --primary-600: #850033;
    --primary-500: #c03434;
    --primary-400: #ef4444;
    --primary-300: #f8a4a4;
    --primary-200: #fcdada;
    --primary-100: #fdecec;
    --accent-color: #606060;
    --border-color: #e0e0e0;
    --card-bg: #f4f3fb;
    --shadow-color: rgba(0, 0, 0, 0.1);
    --input-text: #999;
    --color-red: #fb3748;
    --color-red-light: rgba(251, 55, 72, 0.10196078431372549);
    --color-yellow: #dfb400;
    --color-yellow-light: rgba(255, 219, 67, 0.1);
    --color-green: #1fc16b;
    --color-green-light: #e6fbf0;
    --color-neutral: #050202;
    --color-neutral-300: #fff;
    --color-neutral-400: #f8f8f8;
    --color-neutral-500: #e4e4e4;
    --color-neutral-700: #bbb;
    --color-neutral-800: #777;
    --color-neutral-900: #333;
    --color-check_out_btn: #00dd21;
    --color-badge_danger: #ff999d;
    --color-badge_danger-bg: #fcf0f0;
    --color-badge_info: #4da3ff;
    --color-badge_info-bg: rgba(77, 163, 255, 0.403921568627451);
    --color-badge_default: #0c61a2;
    --color-badge_default-bg: #b9daf3;
    --color-badge_payment: #1c9c2d;
    --color-badge_payment-bg: rgba(203, 248, 209, 0.4549019607843137);
    --color-badge_warning: #ffac4d;
    --color-badge_warning-bg: #fff5eb;
}
.bookmark-text-color {
    color: var(--primary-400);
}
.topDealHeading {
    font-weight: 600;
    font-style: SemiBold;
    font-size: 32px;
    line-height: 32px;
    color: var(--color-neutral-900);
}
.positionRelative {
    position: relative;
}
.noWrap {
    white-space: nowrap;
}
.topDealCarouselContainer .owl-carousel {
    position: relative;
}
.owl-nav {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    display: flex;
    justify-content: space-between;
    width: 100%;
    pointer-events: none;
}
.owl-nav .custom-next,
.owl-nav .custom-prev {
    background-color: var(--color-neutral-400);
    color: var(--color-neutral-900);
    padding: 10px 16px;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all;
    transition: background 0.3s ease;
}
.owl-nav .custom-next:hover,
.owl-nav .custom-prev:hover {
    background-color: var(--color-neutral-500);
}
.productDescription {
    font-family: Lato;
    font-weight: 400;
    font-style: Regular;
    font-size: 13px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 40px;
}
.disountPrice {
    font-family: Lato;
    font-weight: 700;
    font-style: Bold;
    font-size: 17px;
    color: var(--color-neutral-900);
}
.originalPrice {
    font-weight: 600;
    font-style: SemiBold;
    font-size: 12px;
    color: var(--color-neutral-800);
}
.discount {
    color: var(--color-green);
}
.noOfRating {
    font-weight: 400;
    font-size: 10px;
    color: var(--color-neutral-700);
}
.noOfRating,
.rating {
    font-family: Noto Sans;
    font-style: Regular;
}
.rating {
    font-weight: 500;
    font-size: 12px;
    display: flex;
    color: var(--primary-400);
}
.offerText {
    font-size: 14px;
    text-align: center;
}
.coupenCode,
.offerText {
    font-weight: 600;
    color: var(--primary-400);
}
.coupenCode {
    border-radius: 5px;
    padding: 8px;
    border-width: 1px;
    background-color: var(--primary-100);
    border: 1px solid var(--primary-400);
    font-style: Medium;
    font-size: 13px;
    cursor: pointer;
}
.productCard {
    border-radius: 15px;
}
.productCard:hover {
    box-shadow: 0 2px 8px 0 rgba(239, 68, 68, 0.1450980392156863);
    border: 1px solid var(--primary-400) !important;
}
.showmoreBtn {
    background-color: var(--primary-400);
    border: 2px solid var(--primary-400);
    color: var(--bg-color);
    border-radius: 4px;
}
.showmoreBtn.active,
.showmoreBtn:hover {
    background-color: var(--bg-color) !important;
    border: 2px solid var(--primary-400) !important;
    color: var(--primary-400) !important;
    border-radius: 4px;
}
@media (max-width: 768px) {
    .carousel-item {
        width: 50%;
    }
    .breadcrumb_section {
        padding: 0 !important;
    }
    .order_heading {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: start;
        margin-bottom: 10px;
    }
}
.order_heading {
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin-bottom: 10px;
}
.orderCard,
.orderCard:hover {
    border: 1px solid var(--primary-400);
}
.orderCard:hover {
    transform: translateY(-2px);
    box-shadow: 2px 2px 5px rgba(239, 68, 68, 0.2549019607843137);
    cursor: pointer;
}
.couponBadge {
    background-color: var(--primary-400);
    color: var(--bg-color);
    border-radius: 4px;
    font-size: 12px;
    font-weight: 400;
    padding: 3px;
}
@media (max-width: 768px) {
    .orderCard .badge_payment,
    .orderCard .badge_warning {
        display: none !important;
    }
    .orderCard .orderDate {
        font-size: 12px;
        font-weight: 700;
    }
    .orderCard .couponBadge {
        background-color: var(--primary-400);
        color: var(--bg-color);
        border-radius: 4px;
        font-size: 10px;
        font-weight: 400;
        padding: 2px;
    }
}
.orderCard .displayFlex {
    display: flex;
}
@media (max-width: 479px) {
    .orderCard .displayFlex {
        display: block;
    }
}
.badge_warning {
    color: var(--color-badge_warning);
    background: var(--color-badge_warning-bg);
}
.badge_payment,
.badge_warning {
    font-size: 10px;
    border-radius: 10px;
    padding: 0 8px;
    cursor: default;
}
.badge_payment {
    color: var(--color-badge_payment);
    background: var(--color-badge_payment-bg);
}
.badge_default {
    color: var(--color-badge_default);
    background: var(--color-badge_default-bg);
}
.badge_default,
.badge_info {
    font-size: 10px;
    border-radius: 10px;
    padding: 0 8px;
    cursor: default;
}
.badge_info {
    color: var(--color-badge_info);
    background: var(--color-badge_info-bg);
}
.badge_danger {
    color: var(--color-badge_danger);
    background: var(--color-badge_danger-bg);
    font-size: 10px;
    border-radius: 10px;
    padding: 0 8px;
    cursor: default;
}
.badge_outline_dark {
    color: var(--primary-400);
    background: var(--bg-color);
    border: 1px solid var(--primary-400);
    font-size: 14px;
    padding: 1.6px 5px;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.order_id {
    color: var(--primary-400) !important;
}
.badge_outline_dark:hover {
    border: 1px solid var(--bg-color);
    border-radius: 5px;
}
.badge_outline_dark:hover,
.badge_outline_pink {
    color: var(--bg-color);
    background: var(--primary-400);
    font-size: 14px;
    padding: 1.6px 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.badge_outline_pink,
.badge_outline_pink:hover {
    border: 1px solid var(--primary-400);
    border-radius: 5px;
}
.badge_outline_pink:hover {
    color: var(--primary-400);
    background: var(--bg-color);
    font-size: 14px;
    padding: 1.6px 5px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.truncated-description {
    flex-grow: 1;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}
@media screen and (max-width: 768px) {
    .order-id1 {
        font-size: 12px;
    }
    .coupon_code_font {
        flex-direction: column;
    }
    .batch_code,
    .coupon_code_font {
        display: flex;
        gap: 3px;
        font-size: 12px;
    }
    .coupon_code_align {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: start;
    }
    .date_align {
        display: flex;
        gap: 3px;
        font-size: 12px;
    }
    .order_align {
        display: flex;
        flex-direction: column;
        gap: 10px;
        align-items: center;
    }
    .sm_screen_btn {
        padding: 3px 6px !important;
        font-size: 10px !important;
    }
    .check_out_btn {
        padding: 6px 16px;
        background: var(--color-check_out_btn);
        font-size: 12px;
        color: var(--bg-color) !important;
        text-decoration: none;
        border: none !important;
        border-radius: 3px !important;
    }
}
.custom-col-5 {
    width: 20%;
    flex: 0 0 20%;
    max-width: 20%;
}
.custom-col-md,
.custom-col-sm {
    display: none !important;
}
@media (min-width: 576px) and (max-width: 767.9px) {
    .custom-col-5 {
        width: 50%;
        flex: 0 0 50%;
        max-width: 50%;
        display: none !important;
    }
    .custom-col-md {
        display: block !important;
    }
}
@media (max-width: 576px) {
    .custom-col-5,
    .custom-col-md {
        display: none !important;
    }
    .custom-col-sm {
        display: block !important;
    }
}
.order_align {
    display: flex;
    align-items: center;
    gap: 10px;
}
.h4-styling {
    font-size: 1rem;
}
.review_btn {
    padding: 8px 14px;
    background-color: #fff;
    border-radius: 5px;
    border: 1px solid #22cb00;
    color: #22cb00;
}
.review_btn:hover,
.review_submit {
    background-color: #22cb00;
    color: #fff;
}
.review_btn:hover,
.review_submit,
.review_submit:hover {
    padding: 8px 14px;
    border-radius: 5px;
    border: 1px solid #22cb00;
}
.review_submit:hover {
    background-color: #fff;
    color: #22cb00;
}
.review_modal .modal-content {
    border-radius: 2px;
}
#starRating .star {
    font-size: 2rem;
    cursor: pointer;
    color: #ccc;
    transition: color 0.3s ease;
}
#starRating .star.selected,
#starRating .star:hover,
#starRating .star:hover ~ .star {
    color: #ffc033;
}
